Package org.kapott.hbci.sepa.jaxb.pain_008_003_02

## Class PaymentIdentificationSEPA

- java.lang.Object
- - org.kapott.hbci.sepa.jaxb.pain_008_003_02.PaymentIdentificationSEPA

    public class PaymentIdentificationSEPA
    extends java.lang.Object

Java class for PaymentIdentificationSEPA complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="PaymentIdentificationSEPA">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="InstrId" type="{urn:iso:std:iso:20022:tech:xsd:pain.008.003.02}RestrictedIdentificationSEPA1" minOccurs="0"/>
             <element name="EndToEndId" type="{urn:iso:std:iso:20022:tech:xsd:pain.008.003.02}RestrictedIdentificationSEPA1"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

### Field Summary

Fields
`protected java.lang.String` `endToEndId`
`protected java.lang.String` `instrId`

### Constructor Summary

Constructors
`PaymentIdentificationSEPA()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getEndToEndId()` Gets the value of the endToEndId property.
`java.lang.String` `getInstrId()` Gets the value of the instrId property.
`void` `setEndToEndId​(java.lang.String value)` Sets the value of the endToEndId property.
`void` `setInstrId​(java.lang.String value)` Sets the value of the instrId property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### instrId

    protected java.lang.String instrId

#### endToEndId

    protected java.lang.String endToEndId

### Constructor Detail

#### PaymentIdentificationSEPA

    public PaymentIdentificationSEPA()

### Method Detail

#### getInstrId

    public java.lang.String getInstrId()

Gets the value of the instrId property.

Returns:
  possible object is `String`

#### setInstrId

    public void setInstrId​(java.lang.String value)

Sets the value of the instrId property.

Parameters:
  `value` - allowed object is `String`

#### getEndToEndId

    public java.lang.String getEndToEndId()

Gets the value of the endToEndId property.

Returns:
  possible object is `String`

#### setEndToEndId

    public void setEndToEndId​(java.lang.String value)

Sets the value of the endToEndId property.

Parameters:
  `value` - allowed object is `String`